@model IEnumerable<FERZid.Models.Program>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Programi !</h2>


<div class="row" style="padding-top:20px;">
    @*<button class="btn btn-info" type="button" id="addressSearch" onclick="location.href='@Url.Action("Create", "Program")'">
        <span class="glyphicon glyphicon-plus"></span> Kreiraj program
    </button>*@

    <a asp-action="Create">Stvori novi program</a>

    <table class="table table-striped" id="tableProgrami">
        <thead>
            <tr>
                <th>
                    @*@Html.DisplayNameFor(model => model.ImePrograma)*@
                    Ime programa
                </th>
                <th>
                    @*@Html.DisplayNameFor(model => model.Trajanje)*@
                    Trajanje programa
                </th>
                <th>
                    @*@Html.DisplayNameFor(model => model.IdTipaProgramaNavigation)*@
                    Tip programa
                </th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model)
            {
                <tr>
                    <td>
                        @Html.DisplayFor(modelItem => item.ImePrograma)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.Trajanje)
                    </td>
                    <td>
                        @Html.DisplayFor(modelItem => item.IdTipaProgramaNavigation.NazivTipaPrograma)
                    </td>
                    <td>
                        <div class="btn-group">
                            <button class="btn btn-default">
                                <a asp-action="Edit" asp-route-id="@item.IdPrograma">
                                    <span class="glyphicon glyphicon-pencil"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Details" asp-route-id="@item.IdPrograma">
                                    <span class="glyphicon glyphicon-zoom-in"></span>
                                </a>
                            </button>
                            <button class="btn btn-default">
                                <a asp-action="Delete" asp-route-id="@item.IdPrograma">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                            </button>
                        </div>
                    </td>
                </tr>
            }
        </tbody>
    </table>
<</div>